package com.chenyang.druid.sql.dialect.mariadb.ast.statement;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.statement.SQLAlterTableItem;
import com.chenyang.druid.sql.dialect.mariadb.ast.MariadbObjectImpl;
import com.chenyang.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbAlterTableLock extends MariadbObjectImpl implements SQLAlterTableItem {
   private SQLExpr lockType;

   public void accept0(MariadbASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.lockType);
      }

      visitor.endVisit(this);
   }

   public SQLExpr getLockType() {
      return this.lockType;
   }

   public void setLockType(SQLExpr lockType) {
      this.lockType = lockType;
   }
}
